<bugID>598629<Summary>Management of HW acceleration and plugins in safe mode</Summary><Description>Build : Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b7pre) Gecko/20100922 Firefox/4.0b7pre

Since bug 591139 fix, HW acceleration in safe mode is disabled.

1. HW acceleration selection in safe mode window :
There had been a selection in safe mode menu, that disabled permanently HW acceleration, but now there is not. I don't know which bug changed that.
This selection must be back. When "reset all user preference to default" is ticked, a ticked "HW accel disabled" which is not the default setting must be selected anyway.

2. HW acceleration warning in safe mode : 
In options &gt; Advanced &gt; General, "Use HW acceleration when available" is still ticked in safe mode, which is normal.
There must be a warning that HW acceleration is not available in safe mode, for instance, the same way "Know your right" is displayed in the first run.

3. Name of menu "Restart with add-ons disabled" :
First, plugins are add-ons and are not disabled, only extensions and themes
Second, HW acceleration is not available
Third, "Safe mode" meaning is ambiguous
It can be named "Restart with default settings and HW acceleration disabled (safe mode)"</Description></bugID>